Skip to content

List all orgs in an org group

Request

OAuth 2.0 scope:
  • okta.accounts.read

Lists all orgs in an org group

Security
OAuth2(Required scopes: okta.accounts.manageokta.accounts.read)
Path
accountIdstringrequired

The id of the Aerial account

groupIdstringrequired

The id of the org group

Query
afterstring

The cursor that points to the end of the page of data that has been returned. This value is generated by the server and is returned in the next URI in the Link response header of the previous request. See Pagination.

beforestring

The cursor that points to the start of the page of data that has been returned. This value is generated by the server and is returned in the prev URI in the Link response header of the previous request. See Pagination.

limitinteger, [ 1 .. 100 ]

The maximum number of records to return in a page

Default:25
curl -i -X GET \
  'https://aerial-apac.okta.com/{accountId}/api/v1/orgGroups/{groupId}/orgs?after=string&before=string&limit=25' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Headers
Bodyapplication/json
Array [
accountIdstring, (id)

The ID of the Aerial account to which this org is added

namestring, <= 255 charactersrequired

Name of the Org.

cellstring, <= 255 characters

Further detail on the deployment

domainstring, <= 255 characters

Domain to route requests to this Org, that is, subdomain.okta.com

statusstring(org-status-enum)
Enum:"ACTIVE""INACTIVE"
aerialOrgboolean

If true, this Org is the Aerial org for the Aerial account

createdDatestring, <= 255 characters

Time the Org is registered to the Aerial account

createdBystring, <= 255 characters

User who adds this Org to the Aerial account

idstringrequired

The ID of the Org

]
Response
[ { "accountId": "0227mkkf8ulgt48bkidcd8ekqft", "name": "My Org 1", "cell": "ok1", "domain": "my-org-1.okta.com", "status": "ACTIVE", "aerialOrg": true, "createdDate": "2023-12-08T20:15:18.000Z", "id": "00o16fjDHCgFqob8n0g4" }, { "accountId": "0227mkkf8ulgt48bkidcd8ekqft", "name": "My Org 2", "cell": "ok1", "domain": "my-org-2.okta.com", "status": "INACTIVE", "aerialOrg": false, "createdDate": "2023-12-08T22:09:07.000Z", "id": "00o16xupGJbokZXPO0g4" }, { "accountId": "0227mkkf8ulgt48bkidcd8ekqft", "name": "My Org 3", "cell": "ok1", "domain": "my-org-3.okta.com", "status": "ACTIVE", "aerialOrg": false, "createdDate": "2023-12-08T23:13:08.000Z", "id": "00o1cqcx8XNArUxjH0g4" } ]